# Gimp.param_spec_unit

    function param_spec_unit(name: String, nick: String, blurb: String, allow_pixel: Boolean, allow_percent: Boolean, default_value: Gimp.Unit, flags: GObject.ParamFlags): GObject.ParamSpec {
        // Gjs wrapper for gimp_param_spec_unit()
    }

Creates a param spec to hold a units param. See g_param_spec_internal() for more information.

Since 2.4

name

  Canonical name of the param

nick

  Nickname of the param

blurb

  Brief description of param.

allow_pixel

  Whether "pixels" is an allowed unit.

allow_percent

  Whether "percent" is an allowed unit.

default_value

  Unit to use if none is assigned.

flags

  a combination of GObject.ParamFlags

Returns

  a newly allocated GObject.ParamSpec instance